import React, { Component } from 'react';
import { ResolveThunks } from 'react-redux';
import { changeTheme } from '../../actions';
import { StoreState } from '../../reducers';
type StateProps = ReturnType<typeof mapStateToProps>;
type DispatchProps = ResolveThunks<typeof actionCreators>;
type Props = StateProps & DispatchProps;
export declare class Themes extends Component<Props> {
    render(): React.JSX.Element;
}
declare const mapStateToProps: (state: StoreState) => {
    theme: import("../..").ThemeState;
};
declare const actionCreators: {
    changeTheme: typeof changeTheme;
};
declare const _default: import("react-redux").ConnectedComponent<typeof Themes, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<Themes> | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
